<template>
  <div class="absolute inset-x-0 top-20">
    <!-- component -->
    <div class="flex items-center justify-center">
      <!-- Card -->
      <card class="w-1/2 py-10 px-10">
        <!-- Header -->
        <header class="flex font-light text-sm">
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="h-6 w-6 rotate-90"
            viewBox="0 0 24 24"
            stroke="#FC5E03"
          >
            <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M20 12H4" />
          </svg>
          <p>
            <b>Note : {{ details.note }} / 5</b>
          </p>
        </header>

        <!-- Title -->
        <h2 class="font-bold text-3xl mt-2">{{ details.titleBook }}</h2>

        <!-- Tags -->
        <p class="mt-5">
          Commencé le <span class="text-orange-book">{{ details.startDate }} </span>
        </p>

        <p>
          Terminé le
          <span class="text-orange-book">{{ details.endDate }} </span>
        </p>

        <!-- Description -->
        <h3 class="font-bold text-xl mt-8">Mon avis</h3>
        <p class="font-light">
          {{ details.avis }}
        </p>

        <!-- Button -->
        <!--<button
          class="bg-orange-book text-white font-semibold py-2 px-5 text-sm mt-6 inline-flex items-center group"
        >
          <p>Modifier ma note</p>
          <svg
            xmlns="http://www.w3.org/2000/svg"
            class="h-4 w-4 ml-1 group-hover:translate-x-2 delay-100 duration-200 ease-in-out"
            fill="none"
            viewBox="0 0 24 24"
            stroke="currentColor"
          >
            <path
              stroke-linecap="round"
              stroke-linejoin="round"
              stroke-width="2"
              d="M9 5l7 7-7 7"
            />
          </svg>
        </button>-->
      </card>
    </div>
  </div>
</template>

<script>
import { getUserBookByIdUserAndIdBook } from "./../services/firestoreService";
import { getCurrentUser } from "../services/authenticationService";
import { serchABookByIsbn } from "../services/bookService";
export default {
  name: "MyNotePage",

  data() {
    return {
      user: null,
      isbnBook: Number,
      details: [],
    };
  },

  async created() {
    this.isbnBook = this.$route.params.id;

    this.user = await getCurrentUser();

    const relation = await getUserBookByIdUserAndIdBook(this.user.uid, this.isbnBook, "userBook");

    const book = await serchABookByIsbn(this.isbnBook);

    book.items[0];
    this.details = relation.data();
    this.details.titleBook = book.items[0].volumeInfo.title;

    this.details.startDate = this.formatDate(this.details.startDate);
    this.details.endDate = this.formatDate(this.details.endDate);
  },

  methods: {
    formatDate(date) {
      const dateToReturn = new Date(date);
      const dd = String(dateToReturn.getDate()).padStart(2, "0");
      const mm = String(dateToReturn.getMonth() + 1).padStart(2, "0"); //January is 0!
      const yyyy = dateToReturn.getFullYear();

      return dd + "/" + mm + "/" + yyyy;
    },
  },
};
</script>

<style></style>
